
Redmine - Feature #8462

Save received email as an attachment, not as a comment

2011-05-30 08:22 - Martin E.

Status: New Start date: 2011-05-30

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

The "receive email" feature (http://www.redmine.org/projects/redmine/wiki/RedmineReceivingEmails) is really a great thing.

At the moment it is only possible to add received emails as a comment and mail attachments as Redmine attachments.

I'd like to have an option that these mails itself are saved as an attachment to the issue, e.g. in .msg or .eml format.

We mostly store email correspondency to the issues, but this results in long scrolling pages.

Related issues:

Related to Redmine - Defect #5994: Creating new issue via email submission st... New 2010-07-29

Related to Redmine - Feature #16962: Better handle html-only emails Closed

History

#1 - 2011-05-30 09:51 - Etienne Massip

- Category set to Email receiving

#2 - 2013-10-28 16:53 - Rachid B

+1

It is really useful to have mails saved as an attachment. Redmine stripes a lot of information from the mails. So for example if the client marks some

parts in the mail with red, this information is lost in the issue.

A solution like in http://redminecrm.com/projects/helpdesk/pages/  would be very helpful

#3 - 2014-06-16 08:55 - Joe Darkless

- File email.patch added

Hello,

I have tweaked a functionality of redmine so that it will store an email as an attachement if there is a HTML content.

I have created patch file (though I am quite new to making patches). It is created for redmine version 2.4.5, but it can easily be customized for any

purposes.

This feature request has few things in common with issue: http://www.redmine.org/issues/16962

#4 - 2014-07-13 03:08 - Toshi MARUYAMA

- Related to Feature #16962: Better handle html-only emails added

#5 - 2015-12-30 00:51 - Arron Woods

Was looking for this functionality, but didn't want to patch the file.

I've written a plugin that uses the code in Joe's patch, but that also saves the HTML as one attachment, and the full email source as another. If

anyone is interested in using it, I've submitted it to the plugin directory: https://www.redmine.org/plugins/email-attach

#6 - 2020-01-24 07:41 - Aleksandar Pavic

+1 This should be configurable in options.

Many people using Redmine as support system, need exact time email was sent.

Information if there was cc in email headers, etc...

#7 - 2025-03-06 20:32 - Dominique Deschenes

+1 we are looking for a way to save emails as attachments to the issues in .eml format.
Files

email.patch 969 Bytes 2014-06-16 Joe Darkless
